Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.jbi.msgmap
Enum Mapper.Recognized

    java.lang.Object
      java.lang.Enum<Mapper.Recognized>
          org.apache.ode.jbi.msgmap.Mapper.Recognized

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Mapper.Recognized>

Enclosing interface:
  Mapper

    public static enum Mapper.Recognized

extends java.lang.Enum<Mapper.Recognized>

Enum Constant Summary
`FALSE`
`TRUE`
`UNSURE`

Method Summary
`static Mapper.Recognized` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Mapper.Recognized[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRUE

    public static final Mapper.Recognized TRUE

### FALSE

    public static final Mapper.Recognized FALSE

### UNSURE

    public static final Mapper.Recognized UNSURE

Method Detail

### values

    public static final Mapper.Recognized[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Mapper.Recognized c : Mapper.Recognized.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Mapper.Recognized valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD